Bug 448661 - (u-boot-tools) Review Request: u-boot-tools - contains mkimage a tool to create kernel bootable images for u-boot
Review Request: u-boot-tools - contains mkimage a tool to create kernel boot...
Status: CLOSED DUPLICATE of bug 520569
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Josh Boyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-28 00:55 EDT by Kumar Gala
Modified: 2009-09-01 03:29 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-01 03:29:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jwboyer: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Kumar Gala 2008-05-28 00:55:29 EDT
Spec URL: http://gate.crashing.org/~galak/u-boot-tools.spec
SRPM URL: http://gate.crashing.org/~galak/u-boot-tools-1.3.3-1.fc9.src.rpm
Description:
Das U-Boot (or just "U-Boot" for short) is Open Source Firmware for Embedded PowerPC,
ARM, MIPS and x86 processors.

This package contains mkimage, a tool that creates kernel bootable images for u-boot.
Comment 1 David Woodhouse 2008-05-28 08:45:43 EDT
Weren't we adding this to the kernel, so it just turned  up in the
kernel-bootwrapper package?
Comment 2 Kumar Gala 2008-05-28 09:06:56 EDT
I think over time we will want to include some of the other tools that exist as
part of u-boot.

Also, I've tried to make the location of 'mkimage' compatible with
kernel-bootwrapper so if we do end up having this in the kernel we can just drop
this package.
Comment 3 Josh Boyer 2008-06-02 19:43:55 EDT
As weird as this sounds, you'll probably want to ExcludeArch the sparc, ia64,
s390, etc architectures that this won't build on.  Or provide configs for them,
or ExclusiveArch the ones that work.
Comment 4 Ralf Corsepius 2008-06-03 02:04:17 EDT
I didn't want to comment on this package, but I am having this issue with u-boot
ever since it exists:

"mkimage" is a very bad choice to name a program.
Comment 5 Josh Boyer 2008-06-03 08:13:14 EDT
(In reply to comment #4)
> I didn't want to comment on this package, but I am having this issue with u-boot
> ever since it exists:
> 
> "mkimage" is a very bad choice to name a program.

It is, yes.  I'm not entirely sure what can be done about it until upstream
changes though.

Comment 6 Josh Boyer 2008-06-16 21:50:43 EDT
source files match upstream:
 6ee26954bb548ad90392cd329ab5cc4c
package meets naming and versioning guidelines.
specfile is properly named, is cleanly written and uses macros consistently.
dist tag is present.
license field matches the actual license.
license is open source-compatible.
license text included in package.
latest version is being packaged.
BuildRequires are proper.
compiler flags are appropriate.
%clean is present.
package builds in mock.
package installs properly.
debuginfo package looks complete.
rpmlint is silent.
final provides and requires are sane
no shared libraries are added to the regular linker search paths.
doesn't own any directories it shouldn't.
no duplicates in %files.
file permissions are appropriate.
no scriptlets present.
code, not content.
documentation is small, so no -docs subpackage is necessary.
%docs are not necessary for the proper functioning of the package.
no headers.
no pkgconfig files.
no libtool .la droppings.

Needs fixing:

build root is correct.
 (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) is the
recommended value, but not the only one)
Comment 7 Josh Boyer 2008-06-16 22:03:23 EDT
A couple comments that are pretty minor:

- The way the package is done at the moment, it doesn't enable use of mkimage
for cross building.  Overall, that isn't a big deal as Fedora doesn't have
in-distro cross compilers but if some show up it might be a good idea to see if
we can provide that.

- This will fail on sparc, s390, MIPS, ia64, or ARM.  Those aren't currently
official secondary arches for Fedora, however work is on-going for all those at
the moment.  It might be good to eventually have ExcludeArch directives for them
(or work with the secondary architecture teams to enable building there).

Aside from the minor buildroot issue, I don't see anything that would prevent
this package from being approved.  Be sure to apply for cvs_extras in the Fedora
Accounts System so that you can be sponsored.
Comment 8 Kumar Gala 2008-08-08 10:49:26 EDT
I've updated the BuildRoot and placed a new spec file at the same url:

http://gate.crashing.org/~galak/u-boot-tools.spec
http://gate.crashing.org/~galak/u-boot-tools-1.3.3-2.fc9.src.rpm
Comment 9 Josh Boyer 2008-10-14 09:14:53 EDT
APPROVED.
Comment 10 Fabian Affolter 2008-11-19 06:26:46 EST
Kumar, Josh approved your package.  You need to find a sponsor before you can go on with the CVS admin procedure (https://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure).  Please check https://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored
Comment 11 David Woodhouse 2008-11-27 06:47:37 EST
I'll sponsor Kumar... if we can work out how. He's not in the 'TODO queue' of people who need sponsorship.
Comment 12 Josh Boyer 2008-11-27 07:51:35 EST
(In reply to comment #11)
> I'll sponsor Kumar... if we can work out how. He's not in the 'TODO queue' of
> people who need sponsorship.

That's because I already sponsored him.
Comment 13 Fabian Affolter 2008-12-11 09:57:02 EST
Kumar, can you please change your changelog entries according the examples in the package guidelines. https://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs

Some other small things...

- Please extent the summary a little bit because for users is not very helpful at the moment
- for '/usr/sbin' exists a macro %{_sbindir}
- Why are README, COPYING, etc. not added to %doc in %files?
- And it would be nice if you update to 1.3.4 before you add it to the cvs ;-)
Comment 14 Fabian Affolter 2009-01-12 04:51:18 EST
Any progress on this bug?
Comment 15 Fabian Affolter 2009-01-12 05:05:54 EST
Two other small things...

- The URL should be 'http://www.denx.de/wiki/U-Boot/WebHome'
- Please preserve the time stamps while copying
  https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps


Use %defattr(-,root,root,-) instead of %defattr(-,root,root) and leave %attr(755,root,root) away.  Without further investigations, I think it will work.  Or is there an issue with the permission of mkimage?
For details https://fedoraproject.org/wiki/PackageMaintainers/CreatingPackageHowTo#.25files_section
Comment 16 Fabian Affolter 2009-03-09 11:09:19 EDT
ping?
Comment 17 Peter Lemenkov 2009-06-11 15:02:34 EDT
Ping. Any news here?
Comment 18 Peter Lemenkov 2009-06-22 10:54:30 EDT
Last ping.
I'm afraid, we should close this ticked ad FE-DEADREVIEW
Comment 19 Josh Boyer 2009-06-22 11:45:11 EDT
I'd rather just take over this package instead of marking it DEADREVIEW.
Comment 20 Dan Horák 2009-08-28 12:42:56 EDT
Debian did put mkimage into a separate source package - http://packages.debian.org/lenny/uboot-mkimage. I can make and submit a rpm based on it.
Comment 21 Dan Horák 2009-09-01 03:29:32 EDT

*** This bug has been marked as a duplicate of bug 520569 ***

Note You need to log in before you can comment on or make changes to this bug.